These are chat archives for fansoro/fansoro

19th
Nov 2015
Sergey Romanenko
@Awilum
Nov 19 2015 08:07
okey, good. I see that php 5.5 is mostly available everywhere, so Morfy 2.0 will go with php 5.5
xxwebplus
@xxwebplus
Nov 19 2015 08:52

@Awilum default template is okay so;

navbar.tpl

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="{$description}>">
        <meta name="keywords" content="{$keywords}">

        {Morfy::runAction('theme_meta')}

        <link rel="shortcut icon" href="{$.site.url}/favicon.ico">

        <title>{$.site.title} | {$title}</title>

        {* Bootstrap core CSS *}
        <link href="{$.site.url}/themes/{$.site.theme}/assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="{$.site.url}/themes/{$.site.theme}/assets/css/theme.css" rel="stylesheet">
        {Morfy::runAction('theme_header')}

    </head>
    <body>
        <div id="wrap">

footer.tpl

        </div>
        <div id="footer">
            <div class="container">
                <p class="text-muted pull-right">Powered by <a href="http://morfy.org" title="Simple and fast file-based CMS">Morfy</a></p>
            </div>
        </div>
        {* Bootstrap core JavaScript *}
        {* Placed at the end of the document so the pages load faster *}
        <script src="{$.site.url}/themes/{$.site.theme}/assets/js/jquery.min.js"></script>
        <script src="{$.site.url}/themes/{$.site.theme}/assets/js/bootstrap.min.js"></script>
        {Morfy::runAction('theme_footer')}
    </body>
</html>

index.tpl

{include 'header.tpl'}
{include 'navbar.tpl'}
{Morfy::runAction('theme_content_before')}
            {block 'content'}{/block}
{Morfy::runAction('theme_content_after')}
{include 'footer.tpl'}
Sergey Romanenko
@Awilum
Nov 19 2015 08:54
@xxwebplus what is your question ?
xxwebplus
@xxwebplus
Nov 19 2015 08:56
My own website is a version below 1.1.0
so I have different layout on each page
and I want to I upgrade to latest version morfy
but I can not in every layout to have example:
home.tpl code
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="{$description}>">
        <meta name="keywords" content="{$keywords}">

        {Morfy::runAction('theme_meta')}

        <link rel="shortcut icon" href="{$.site.url}/favicon.ico">

        <title>{$.site.title} | {$title}</title>

        {* Bootstrap core CSS *}
        <link href="{$.site.url}/themes/{$.site.theme}/assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="{$.site.url}/themes/{$.site.theme}/assets/css/theme.css" rel="stylesheet">
        {Morfy::runAction('theme_header')}

    </head>
    <body>
        <div id="wrap">
            {include 'navbar.tpl'}
            {Morfy::runAction('theme_content_before')}
            {block 'content'}{/block}
            {Morfy::runAction('theme_content_after')}
        </div>
        <div id="footer">
            <div class="container">
                <p class="text-muted pull-right">Powered by <a href="http://morfy.org" title="Simple and fast file-based CMS">Morfy</a></p>
            </div>
        </div>
        {* Bootstrap core JavaScript *}
        {* Placed at the end of the document so the pages load faster *}
        <script src="{$.site.url}/themes/{$.site.theme}/assets/js/jquery.min.js"></script>
        <script src="{$.site.url}/themes/{$.site.theme}/assets/js/bootstrap.min.js"></script>
        {Morfy::runAction('theme_footer')}
    </body>
</html>
xxwebplus
@xxwebplus
Nov 19 2015 09:05
@Awilum you understand what I mean;
xxwebplus
@xxwebplus
Nov 19 2015 09:33
@Awilum view the demo template code to understand what I mean
http://demo.xxwebplus.eu/admin/templates
email: demo@demo.com
pass: demo
Sergey Romanenko
@Awilum
Nov 19 2015 09:53

and I want to I upgrade to latest version morfy

okey you want to update to 1.1.4 ?

you may download 1.1.4 and check DEFAULT theme. just compare morfy default theme with yours.
xxwebplus
@xxwebplus
Nov 19 2015 10:11
I'm in progress will upgrade to version 1.1.4
Moncho Varela
@nakome
Nov 19 2015 11:13
@Awilum How to get Morfy version <?php echo Morfy::VERSION; ?> ?
Sergey Romanenko
@Awilum
Nov 19 2015 11:14
@nakome yes
Moncho Varela
@nakome
Nov 19 2015 11:27
Upgrade demo to 1.1.4
Pavel Belousov
@pafnuty
Nov 19 2015 19:31

@/all what is PHP VERSION on your web server ?

теперь 5.6 )) пришлось с 5.4 обновиться

Sergey Romanenko
@Awilum
Nov 19 2015 19:32
@pafnuty я вообщем уже перевел Морфи на php 5.5 :)
Pavel Belousov
@pafnuty
Nov 19 2015 19:33
:+1:
Sergey Romanenko
@Awilum
Nov 19 2015 19:35
@/all BTW: http://morfy.org - already works on upcoming Morfy 2!
Pavel Belousov
@pafnuty
Nov 19 2015 19:43
Не хватает ссылки на репозиторий на гитхабе только
xxwebplus
@xxwebplus
Nov 19 2015 19:44
@Awilum you can change the date from 2015-11-19 in 19-11-2015
xxwebplus
@xxwebplus
Nov 19 2015 19:54
I found a mistake ... when I put the code google analytics
error:
Unexpected tag 'i' in layout.tpl line 24, near '{i[' <- there
Sergey Romanenko
@Awilum
Nov 19 2015 20:01
@xxwebplus Its normal behavior of any template engine, you should write javascript in templates , using {ignore} {/ignore}
...will update documentation
xxwebplus
@xxwebplus
Nov 19 2015 20:02
+1
Please you can change the date from 2015-11-19 in 19-11-2015
Sergey Romanenko
@Awilum
Nov 19 2015 20:52
@pafnuty если вы про ссылку на главной странице ? то она переместилась вниз... - иконка GitHub
Moncho Varela
@nakome
Nov 19 2015 21:10

Update Morfy-api-plugin.

Codepen demo

Download

Sergey Romanenko
@Awilum
Nov 19 2015 21:54
:+1:
Moncho Varela
@nakome
Nov 19 2015 23:21
This is a plugin?
xxwebplus
@xxwebplus
Nov 19 2015 23:50
No, but if you want I can do